#ifndef __Controller_B_ObjMod_h__
#define __Controller_B_ObjMod_h__
#include <applstdef_emC.h>
#include "genSrcInspc/Controller_ObjMod.h"





typedef struct Controller_B_ObjMod_t {
  union { Controller_ObjMod_s super; ObjectJc object; } base;

  float test[2];
} Controller_B_ObjMod_s;

extern_C ClassJc const refl_Controller_B_ObjMod;

void ctor_Controller_B_ObjMod(Controller_B_ObjMod_s* thiz);


/**Write data to DataStruct. 
 * Note: The Simulink coder cannot decide whether it is a scalar, vector or pointer
 * Therefore all arguments are unique given as address (pointer) 
 */

bool init__Controller_B_ObjMod(Controller_B_ObjMod_s* thiz);


void step__Controller_B_ObjMod(Controller_B_ObjMod_s* thiz, float const* test);


inline void get_test_Controller_B_ObjMod(Controller_B_ObjMod_s* thiz, float* test) {
  memcpy(test, thiz->test, sizeof(thiz->test));//float
}
#endif  //__Controller_B_ObjMod_h__
